com.verisign.epp.interfaces.v02

## Class EPPLoginSecTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.interfaces.v02.EPPLoginSecTst

- All Implemented Interfaces:
    junit.framework.Test

      public class EPPLoginSecTst
      extends junit.framework.TestCase

  Is a unit test the use of the `EPPLoginSecLoginAdapter` with the `EPPSession` and exercising the login security handler for returning specific security events based on the login identifier (clientId).
  The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
  java com.verisign.epp.interfaces.EPPLoginSecTst -Dthreads=2 ../../epp.config
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLoginSecTst(java.lang.String name)` Allocates an `EPPFeeDomainTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleException(java.lang.Exception aException)` Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPFeeDomainTst`.
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testExpiredPasswordResponse()` Unit test for the extension to the login response by sending the login command with the login identifier (clientId) set to "test-expired-pw".
    `void` | `testExpiringPasswordResponse()` Unit test for the extension to the login response by sending the login command with the login identifier (clientId) set to "test-expiring-pw".
    `void` | `testLoginCmdLongNewPwd()` Unit test for the extension to the login command with long new password.
    `void` | `testLoginCmdLongPwd()` Unit test for the extension to the login command with long current password.
    `void` | `testLoginCmdLongPwdNewPwd()` Unit test for the extension to the login command with long current and new password.
    `void` | `testStandardLogin()` Test passing a short password during a login that should not set the password in the login security extension, but will include the user agent as long as it has been enabled.
    `void` | `testWarningAllResponse()` Unit test for the extension to the login response by sending the login command with the login identifier (clientId) set to "test-all-events".

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPLoginSecTst

          public EPPLoginSecTst(java.lang.String name)

      Allocates an `EPPFeeDomainTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### testStandardLogin

          public void testStandardLogin()

      Test passing a short password during a login that should not set the password in the login security extension, but will include the user agent as long as it has been enabled.

    - #### testLoginCmdLongPwd

          public void testLoginCmdLongPwd()

      Unit test for the extension to the login command with long current password.

    - #### testLoginCmdLongNewPwd

          public void testLoginCmdLongNewPwd()

      Unit test for the extension to the login command with long new password.

    - #### testLoginCmdLongPwdNewPwd

          public void testLoginCmdLongPwdNewPwd()

      Unit test for the extension to the login command with long current and new password.

    - #### testExpiringPasswordResponse

          public void testExpiringPasswordResponse()

      Unit test for the extension to the login response by sending the login command with the login identifier (clientId) set to "test-expiring-pw". The response must have a `EPPLoginSecData` extension set by the server.

    - #### testExpiredPasswordResponse

          public void testExpiredPasswordResponse()

      Unit test for the extension to the login response by sending the login command with the login identifier (clientId) set to "test-expired-pw". The login must fail and the response must have a `EPPLoginSecData` extension set by the server in the failed response.

    - #### testWarningAllResponse

          public void testWarningAllResponse()

      Unit test for the extension to the login response by sending the login command with the login identifier (clientId) set to "test-all-events". The response must have a `EPPLoginSecData` extension set by the server.

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPFeeDomainTst`.
      Returns:
        Test suite

    - #### handleException

          public void handleException(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### main

          public static void main(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - Command line arguments

Copyright © VeriSign Inc. All Rights Reserved.